> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a team

> Update the team's details.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json patch /teams/{team_id}
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /teams/{team_id}:
    patch:
      tags:
        - Teams
      summary: Update a team
      description: Update the team's details.
      parameters:
        - schema:
            type: string
            example: tea_VJ4sYEOOXVvJBXqFjRzpm
          in: path
          name: team_id
          required: true
          description: The ID of the team.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 60
                  description: The name of the team.
                description:
                  type: string
                  maxLength: 200
                  description: The description of the team.
            example:
              name: Payments
              description: All about payments and billing
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  team:
                    $ref: '#/components/schemas/Team'
                required:
                  - team
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      docs_url:
                        type: string
                      status:
                        type: number
                        enum:
                          - 422
                      code:
                        type: string
                        enum:
                          - duplicate_team_name
                    required:
                      - message
                      - status
                      - code
                    example:
                      code: unprocessable_entity
                      status: 422
                      message: The request cannot be processed
                required:
                  - error
              example:
                error:
                  code: duplicate_team_name
                  message: A team with this name already exists
                  status: 422
                  docs_url: >-
                    https://docs.shiftkeeper.io/api-reference/errors#duplicate-team-name
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: string
          description: The ID of the team.
        name:
          type: string
          minLength: 1
          maxLength: 60
          description: The name of the team.
        description:
          type: string
          maxLength: 200
          description: The description of the team.
      required:
        - id
        - name
      examples:
        - id: tea_VJ4sYEOOXVvJBXqFjRzpm
          name: Payments
          description: All about payments and billing
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````